Summary: mtools, read/write/list/format DOS disks under Unix
Name: mtools
Version: 4.0.0
Release: 1
Group: Utilities/System
URL: http://mtools.linux.lu
License: GPL
Source0: %{name}-%{version}.tar.bz2
Buildroot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: texinfo, make
Requires: info

%description
Mtools is a collection of utilities to access MS-DOS disks
from Unix without mounting them. It supports Win'95 style
long file names, OS/2 Xdf disks, ZIP/JAZ disks and 2m
disks (store up to 1992k on a high density 3 1/2 disk).

Mtools should be installed if you need to use MS-DOS disks.


%prep
%setup -q


%build
export CFLAGS="$CFLAGS -DBSD"
./configure \
    --prefix=%{_prefix} \
    --mandir=%{_mandir} \
    --infodir=%{_infodir} \
    --sysconfdir=/etc
gmake %{?_smp_mflags} LIBS="-lbsd -lnsl -liconv"
gmake %{?_smp_mflags} info


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}

gmake install DESTDIR=${RPM_BUILD_ROOT}
gmake install-info DESTDIR=${RPM_BUILD_ROOT}

/usr/bin/strip ${RPM_BUILD_ROOT}%{_bindir}/* || :

mkdir -p ${RPM_BUILD_ROOT}/etc
cp mtools.conf ${RPM_BUILD_ROOT}/etc
chmod 0644 ${RPM_BUILD_ROOT}/etc/*

gzip --best ${RPM_BUILD_ROOT}%{_infodir}/*.info
rm -f ${RPM_BUILD_ROOT}%{_infodir}/dir

# we aren't shipping this.
find ${RPM_BUILD_ROOT} -name "floppyd*" -exec rm {} \;

cd ${RPM_BUILD_ROOT}
mkdir -p usr/bin
cd usr/bin
ln -sf ../..%{_bindir}/* .


%post
/sbin/install-info %{_infodir}/%{name}.info.gz %{_infodir}/dir || :


%preun
if [ "$1" = 0 ]; then
    /sbin/install-info --delete %{_infodir}/%{name}.info.gz %{_infodir}/dir || :
fi


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,system)
%config(noreplace) /etc/%{name}.conf
%{_bindir}/*
%{_infodir}/*
%{_mandir}/man1/*
%{_mandir}/man5/*
/usr/bin/*


%changelog
* Fri Dec 05 2008 Michael Perzl <michael@perzl.org> - 4.0.0-1
- first version for AIX V5.1 and higher
